using ILoan.Tools.Infrastructure.Services;

namespace ILoan.Tools.Application.Pages;

public partial class AddCoreRule
{
    [Inject]
    protected IJSRuntime JSRuntime { get; set; }

    [Inject]
    protected NavigationManager NavigationManager { get; set; }

    [Inject]
    protected DialogService DialogService { get; set; }

    [Inject]
    protected TooltipService TooltipService { get; set; }

    [Inject]
    protected ContextMenuService ContextMenuService { get; set; }

    [Inject]
    protected NotificationService NotificationService { get; set; }
    [Inject]
    public RulesService RulesService { get; set; }

    protected override async Task OnInitializedAsync()
    {
        coreRule = new CoreRule();
    }
    protected bool errorVisible;
    protected CoreRule coreRule;

    protected async Task FormSubmit()
    {
        try
        {
            await RulesService.CreateCoreRule(coreRule);
            DialogService.Close(coreRule);
        }
        catch (Exception ex)
        {
            errorVisible = true;
        }
    }

    protected async Task CancelButtonClick(MouseEventArgs args)
    {
        DialogService.Close(null);
    }
}