namespace ILoan.Tools.Application.Pages;

public partial class EditCoreRule
{
    [Inject]
    protected IJSRuntime JSRuntime { get; set; }

    [Inject]
    protected NavigationManager NavigationManager { get; set; }

    [Inject]
    protected DialogService DialogService { get; set; }

    [Inject]
    protected TooltipService TooltipService { get; set; }

    [Inject]
    protected ContextMenuService ContextMenuService { get; set; }

    [Inject]
    protected NotificationService NotificationService { get; set; }
    [Inject]
    public RulesService RulesService { get; set; }

    [Parameter]
    public int ID { get; set; }

    protected override async Task OnInitializedAsync()
    {
        coreRule = await RulesService.GetCoreRuleById(ID);
    }
    protected bool errorVisible;
    protected CoreRule coreRule;

    protected async Task FormSubmit()
    {
        try
        {
            coreRule.Update += 1;
            await RulesService.UpdateCoreRule(ID, coreRule);
            DialogService.Close(coreRule);
        }
        catch (Exception ex)
        {
            errorVisible = true;
        }
    }

    protected async Task CancelButtonClick(MouseEventArgs args)
    {
        DialogService.Close(null);
    }
}